AOZ Studio Beta - Bug #248

bar x,y,w,h causes internal error
02/22/2020 09:52 PM - Paul Kitching

Status: Closed Start date: 02/22/2020
Priority: Normal Due date:

Assignee: Paul Kitching % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.5

Affected version: 0.9.5

Description

#splashScreen:false
ink 4

draw 100,100,30,5
bar 100,200,300,5

The draw command works with this new format, but the bar command doesn't

History

#1 - 02/23/2020 07:00 PM - David Baldwin
Here's why, it's just a typo at line 387 of screens.aoz :-
Instruction "bar", _x1, _yl, _width, _height

{

f#errors

[

this.aoz.currentScreen.bar ({x:%_x1,y:%_yl,width:width,height:%_height});
}

End Instruction

Should read:-

[

this.aoz.currentScreen.bar ({x:%_x1,y:%_yl,width:%_width, height:%_height});

#2 - 02/27/2020 10:00 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.5

The bug AND the correction of the bug? Thank you Paul! :)

#3 - 03/07/2020 03:11 PM - Baptiste Pillot
- Description updated

- Status changed from Resolved to Closed

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/492
e run : https://www.amos2.fr/run/tickleman/248
e result : both a drawed line and bar

05/01/2024

1/1



https://www.amos2.fr/ide/Amos2/Ide/Program/492
https://www.amos2.fr/run/tickleman/248
http://www.tcpdf.org

